El pasado lunes día once de junio Apple presentó iOS 6. La nueva entrega de su sistema operativo móvil cuenta con numerosas mejoras (más de 200 según la compañía) como la integración con Facebook, la nueva aplicación PassBook, compartir imágenes con Fotos en Streaming o la llegada de Siri en español. La versión final de iOS 6 estará disponible en otoño y mientras tanto Apple ya ha lanzado la primera versión de prueba para desarrolladores, a la que por cierto ya han conseguido aplicarle el Jailbreak Tethered -aunque no es del todo operativo y Cydia no funciona de momento-.

La novedad más destacada de la presentación fue la nueva aplicación de mapas que Apple ha desarrollado junto a C3 Technologies y TomTom, dejando de lado a Google Maps. Entre las funciones que más llamaron la atención está el nuevo servicio de navegación con indicaciones de voz -una característica que era necesaria- y Flyover, un sistema para visualizar ciudades en tres dimensiones que ofrece un resultado extremadamente realista. Sin embargo no todos los usuarios de un dispositivo Apple podrán disfrutar de todas las ventajas de iOS 6 y de la aplicación de mapas en particular. Los dueños de un iPhone 4, iPhone 3GS o iPod Touch 4G no podrán tener indicaciones por voz ni Flyover, una verdadera pena. Según Apple estas características no funcionan correctamente si no hay un procesador más potente, es decir, un chip Apple A5 o superior como el que equipan los iPad 2, iPhone 4S y nuevo iPad.

http://www.youtube.com/watch?v=G4OEPKeZH8Y

Sin embargo ya se ha demostrado que el procesador no es un impedimento para que Flyover funcione en un terminal como el iPhone 4. El hacker ruso Anton Tiktov ha podido instalar esta función de mapas tridimensionales en un iPhone 4 y, a juzgar por el vídeo que ha publicado, el rendimiento de la aplicación es bastante fluido. Es cierto que no va todo lo suave que podría funcionar en, por ejemplo, el nuevo iPad que tiene un procesador mucho más potente, pero en cualquier caso no es imposible hacer que Flyover funcione correctamente en el iPhone 4.

http://www.youtube.com/watch?v=XArIjKcSMZg

Otro motivo por el que Apple no va a incluir Flyover en modelos más antiguos es para hacer que los usuarios adquieran un terminal más nuevo que pueda tener todas las funciones de iOS 6. Con Siri sucedió algo parecido. El asistente de voz fue lanzado como una exclusiva del iPhone 4S pero los hackers consiguieron trasladarlo con éxito a modelos más antiguos, aunque ahora Apple lo ha llevado de forma oficial al nuevo iPad.

Para poder instalar Flyover en un iPhone 4, Tiktov ha tenido que instalar la versión beta de iOS 6 y después aplicar el Jailbreak. Sin embargo el proceso es bastante complejo debido a que como hemos dicho Cydia no funciona en este Jailbreak Tethered. De todos modos se trata de una muy buena noticia ya que es muy posible que, cuando esté lista la versión final de iOS 6 y consigan un Jailbreak estable, publiquen una solución para que los usuarios de modelos más antiguos puedan tener todas las funciones de iOS 6.

Recibe nuestras noticias

De lunes a viernes mandamos un newsletter con los titulares del día

I will never give away, trade or sell your email address. You can unsubscribe at any time.

Otras noticias sobre... ,